set(NETGEN_VERSION "6.2-dev")

get_filename_component(NETGEN_CMAKE_DIR "${CMAKE_CURRENT_LIST_FILE}" PATH)

get_filename_component(NETGEN_DIR "${NETGEN_CMAKE_DIR}/../../../" ABSOLUTE)

set(NETGEN_COMPILE_DEFINITIONS "HAVE_DLFCN_H;NETGEN_VERSION=\"6.2-dev\";TCL;OPENGL;USE_TOGL_2;TOGL_NSOPENGL;OCCGEOMETRY;_OCC64;JPEGLIB")

get_filename_component(NETGEN_INCLUDE_DIR "${NETGEN_CMAKE_DIR}/../../../include/netgen" ABSOLUTE)
get_filename_component(NETGEN_BINARY_DIR "${NETGEN_CMAKE_DIR}/../../../bin" ABSOLUTE)
get_filename_component(NETGEN_LIBRARY_DIR "${NETGEN_CMAKE_DIR}/../../netgen" ABSOLUTE)
get_filename_component(NETGEN_PYTHON_DIR "${NETGEN_CMAKE_DIR}/../../python3.7/site-packages" ABSOLUTE)
get_filename_component(NETGEN_RESOURCE_DIR "${NETGEN_CMAKE_DIR}/../../../share" ABSOLUTE)

set(NETGEN_SOURCE_DIR "/Users/gitlab-runner/miniconda3/conda-bld/netgen_1574957717522/work")

set(NETGEN_BUILD_FOR_CONDA "ON")
set(NETGEN_CHECK_RANGE "OFF")
set(NETGEN_INCLUDE_DIRS "${NETGEN_INCLUDE_DIR}/include;${NETGEN_INCLUDE_DIR}")
set(NETGEN_CMAKE_THREAD_LIBS_INIT "")
set(NETGEN_FFMPEG_LIBRARIES "")
set(NETGEN_JPEG_INCLUDE_DIR "/opt/anaconda1anaconda2anaconda3/include")
set(NETGEN_JPEG_LIBRARIES "/opt/anaconda1anaconda2anaconda3/lib/libjpeg.dylib")
set(NETGEN_LIBTOGL "togl")
set(NETGEN_METIS_INCLUDE_DIR "")
set(NETGEN_METIS_LIBRARY "")
set(NETGEN_MKL_LIBRARIES "")
set(NETGEN_MPI_CXX_INCLUDE_PATH "")
set(NETGEN_MPI_CXX_LIBRARIES "")
set(NETGEN_OCC_INCLUDE_DIR "/opt/anaconda1anaconda2anaconda3/include/opencascade")
set(NETGEN_OCC_LIBRARIES_BIN "")
set(NETGEN_OCC_LIBRARIES "/opt/anaconda1anaconda2anaconda3/lib/libTKBO.dylib;/opt/anaconda1anaconda2anaconda3/lib/libTKBool.dylib;/opt/anaconda1anaconda2anaconda3/lib/libTKBRep.dylib;/opt/anaconda1anaconda2anaconda3/lib/libTKCAF.dylib;/opt/anaconda1anaconda2anaconda3/lib/libTKCDF.dylib;/opt/anaconda1anaconda2anaconda3/lib/libTKernel.dylib;/opt/anaconda1anaconda2anaconda3/lib/libTKG2d.dylib;/opt/anaconda1anaconda2anaconda3/lib/libTKG3d.dylib;/opt/anaconda1anaconda2anaconda3/lib/libTKGeomAlgo.dylib;/opt/anaconda1anaconda2anaconda3/lib/libTKGeomBase.dylib;/opt/anaconda1anaconda2anaconda3/lib/libTKHLR.dylib;/opt/anaconda1anaconda2anaconda3/lib/libTKIGES.dylib;/opt/anaconda1anaconda2anaconda3/lib/libTKLCAF.dylib;/opt/anaconda1anaconda2anaconda3/lib/libTKMath.dylib;/opt/anaconda1anaconda2anaconda3/lib/libTKMesh.dylib;/opt/anaconda1anaconda2anaconda3/lib/libTKOffset.dylib;/opt/anaconda1anaconda2anaconda3/lib/libTKPrim.dylib;/opt/anaconda1anaconda2anaconda3/lib/libTKService.dylib;/opt/anaconda1anaconda2anaconda3/lib/libTKShHealing.dylib;/opt/anaconda1anaconda2anaconda3/lib/libTKSTEP.dylib;/opt/anaconda1anaconda2anaconda3/lib/libTKSTEP209.dylib;/opt/anaconda1anaconda2anaconda3/lib/libTKSTEPAttr.dylib;/opt/anaconda1anaconda2anaconda3/lib/libTKSTEPBase.dylib;/opt/anaconda1anaconda2anaconda3/lib/libTKSTL.dylib;/opt/anaconda1anaconda2anaconda3/lib/libTKTopAlgo.dylib;/opt/anaconda1anaconda2anaconda3/lib/libTKV3d.dylib;/opt/anaconda1anaconda2anaconda3/lib/libTKXCAF.dylib;/opt/anaconda1anaconda2anaconda3/lib/libTKXDEIGES.dylib;/opt/anaconda1anaconda2anaconda3/lib/libTKXDESTEP.dylib;/opt/anaconda1anaconda2anaconda3/lib/libTKXSBase.dylib;/opt/anaconda1anaconda2anaconda3/lib/libTKVCAF.dylib")
set(NETGEN_OCC_LIBRARY_DIR "/opt/anaconda1anaconda2anaconda3/lib")
set(NETGEN_OPENGL_LIBRARIES "/Library/Developer/CommandLineTools/SDKs/MacOSX10.12.sdk_/System/Library/Frameworks/OpenGL.framework;/Library/Developer/CommandLineTools/SDKs/MacOSX10.12.sdk_/System/Library/Frameworks/OpenGL.framework")
set(NETGEN_PYTHON_EXECUTABLE "/opt/anaconda1anaconda2anaconda3/bin/python3")
set(NETGEN_PYTHON_INCLUDE_DIRS "/opt/anaconda1anaconda2anaconda3/include/python3.7m")
set(NETGEN_PYTHON_LIBRARIES "/opt/anaconda1anaconda2anaconda3/lib/libpython3.7m.dylib")
set(NETGEN_TCL_INCLUDE_PATH "/Users/gitlab-runner/miniconda3/conda-bld/netgen_1574957717522/work/tcl/generic")
set(NETGEN_TCL_LIBRARY "/opt/anaconda1anaconda2anaconda3/lib/libtcl8.6.dylib")
set(NETGEN_TK_DND_LIBRARY "")
set(NETGEN_TK_INCLUDE_PATH "/Users/gitlab-runner/miniconda3/conda-bld/netgen_1574957717522/work/tk/generic")
set(NETGEN_TK_LIBRARY "/opt/anaconda1anaconda2anaconda3/lib/libtk8.6.dylib")
set(NETGEN_X11_X11_LIB "")
set(NETGEN_X11_Xmu_LIB "")
set(NETGEN_ZLIB_INCLUDE_DIRS "/opt/anaconda1anaconda2anaconda3/include")
set(NETGEN_ZLIB_LIBRARIES "/opt/anaconda1anaconda2anaconda3/lib/libz.dylib")

set(NETGEN_USE_GUI ON)
set(NETGEN_USE_PYTHON ON)
set(NETGEN_USE_MPI OFF)
set(NETGEN_USE_OCC ON)
set(NETGEN_USE_JPEG ON)
set(NETGEN_USE_MPEG OFF)
set(NETGEN_INTEL_MIC OFF)
set(NETGEN_INSTALL_PROFILES OFF)
set(NETGEN_USE_CCACHE OFF)

set(NETGEN_PYTHON_RPATH "../../netgen")
set(NETGEN_RPATH_TOKEN "@loader_path")

set(NETGEN_INSTALL_DIR_PYTHON /opt/anaconda1anaconda2anaconda3/lib/python3.7/site-packages)
set(NETGEN_INSTALL_DIR_BIN bin)
set(NETGEN_INSTALL_DIR_LIB lib/netgen)
set(NETGEN_INSTALL_DIR_INCLUDE include/netgen)
set(NETGEN_INSTALL_DIR_CMAKE lib/cmake/netgen)
set(NETGEN_INSTALL_DIR_RES share)

include(${CMAKE_CURRENT_LIST_DIR}/netgen-targets.cmake)
message(STATUS "Found Netgen: ${CMAKE_CURRENT_LIST_DIR}")
